Jump to content

Installing Mods


112quin

Recommended Posts

hello,

 

I just received GTA IV The Complete collection so both the original and EFLC, now i want to mod them, i want to use vehicle mods, graphical mods, and mods like Police Persuit Mod.

Now, what do i need?

for all the things like, installing, changing files within GTA IV etc...

 

Also is the game already moddable or do you have to do somthing with it?

 

And how does it work with the EFLC, i have 4 discs in the package, 2 for GTA IV and 2 for EFLC...

which do i need to run? can i run all three diffrent ones on one cd?

 

Thanks for your help!

Link to comment
Share on other sites

To "unlock" the game for modding you need this:

 

A patched version of this file: filelist.pak (location: pc/data folder).

That is what I use for GTA IV, I don´t know if it works also with episodes.. I don´t use them.

 

This will help: http://www.gtaforums.com/index.php?showtopic=380102

The download for the file in the above posted topic does not work for me.

Here you find my patched filelist.pak: http://www.mediafire.com/?w4lj54pqxiocia6 (8kB)

 

Once you have overwritten the original filelist.pak (make a backup!) you can add mods like you wish or change existing game settings (car handling f.e.).

Every mod has its own way how its implemented. But the most mods have readmes with descriptions.

Edited by NaidRaida
Link to comment
Share on other sites

okay, i have overwritten the filelist.pak with the one you provided me, but now gta does not launch anymore....????

Link to comment
Share on other sites

Then you´ll need to find another way. For me it worked that way, never tried something else. Maybe you have a different patch. I have 1.0.3.0 right now. This also worked with 1.0.0.4. Newer patches suck.

You´ll notice very fast that it ain´t that easy with GTA IV and with the episodes it´s even harder to mod.

Edited by NaidRaida
Link to comment
Share on other sites

I solved it... I patched to 1.0.0.4 and now i did not have to do anything to be snor to nie it.... But now i think i am gonna patch up to the latest patch

 

Edit: well i just updated to 1.0.7.0 and now the whole game wont start...

Edited by 112quin
Link to comment
Share on other sites

I've never tried the latest patch, but I don't trust it... I've seen many people having problems using mods with it, especially ENB Series.

 

As you can see in my sig, I'm using 1.0.4.0.

Link to comment
Share on other sites

Yup, the latest patches suck but I believe they are a "must have" to play the episodes.

For me it always worked this way: Fresh install ---> patch to 1.0.3.0, 1.0.4.0 or 1.0.0.4 ---> overwrite the filelist.pak ---> start modding

But I´ve ever done this on GTA IV standalone without episodes.

Edited by NaidRaida
Link to comment
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
  • 1 User Currently Viewing
    0 members, 0 Anonymous, 1 Guest

×
×
  • Create New...

Important Information

By using GTAForums.com, you agree to our Terms of Use and Privacy Policy.